;***************************************************************************
; 
; File Name		:'EQUATES.INC"
; Title			:
; Date			:
; Version		:
; Support telephone	:
; Support fax		:
; Support Email		:info@vfx.hu
; Target MCU		:AT90S8515
;
; DESCRIPTION
;
; DEFINITIONS
;
; 
;***************************************************************************;
;	M O D I F I C A T I O N   H I S T O R Y 
;
;
;       rev.       date     who   why
;	----	----------  ---	------------------------------------------
;	0.01	2001.12.26 VFX	Began life as a separate file
;
;********************************************************************
;********************************************************************
;
.include "8515def.inc" ;Atmel supplied file that is a standard list of
;			;equates for on-chip peripherals and such
;********************************************************************
;Universal Truths
;
.dseg ;This tells the assembler that what follows is data, not code
;
.equ	TRUE	=0FFh		;Yes
.equ	FALSE	=00h		;No
;
;********************************************************************
;Revision perversion
;
;It's lame, but you can't use "0" or "1", you have to specify in hex
;if you want to put it in a message like this:
;VERSION: .db	"FIRMWARE VERSION ",MAJOR_REV,".","MINOR_REV","MINOR_REVB",CR,LF
;
.equ	MAJOR_REV	='1'
.equ	MINOR_REV	='2'
.equ	MINOR_REVB	='0'
;
;********************************************************************
;
;ASCII Equivalents
;
.equ	NUL=$00		;Null
.equ	SOH=$01		;Start of Header
.equ	STX=$02		;Start of Text
.equ	ETX=$03		;End of Text
.equ	EOT=$04		;End of Transmission
.equ	ENQ=$05		;Enquiry
.equ	ACK=$06		;Acknowlege
.equ	BEL=$07		;Bell
.equ	BS=$08		;Backspace
.equ	HT=$09		;Horizontal Tab
.equ	LF=$0A		;Line Feed
.equ	VT=$0B		;Vertical Tab
.equ	FF=$0C		;Form Feed
.equ	CR=$0D		;Carriage Return
.equ	SO=$0E		;
.equ	SI=$0F		;

.equ	DLE=$10		;Delete
.equ	XON=$11		;AKA DC1
.equ	XOFF=$12	;AKA DC2
.equ	DC3=$13		;
.equ	DC4=$14		;
.equ	NAK=$15		;Negative Acknowlege
.equ	SYN=$16		;Sync 
.equ	ETB=$17		;
.equ	CAN=$18		;Cancel
.equ	EM=$19		;
.equ	SUB=$1A		;
.equ	ESC=$1B		;
.equ	FS=$1C		;Field Separator
.equ	GS=$1D		;Group Separator
.equ	RS=$1E		;Record Separator
.equ	US=$1F		;
;
